POST V1/Projects.{ext}/ProjectFinancial

Inserts Project Financials Data

Request Information

URI Parameters

NameDescriptionTypeAdditional information
ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

EMS.Projects.Entities.ProjectFinancial
NameDescriptionTypeAdditional information
FinancialId

No description available

integer

None.

FinancialName

No description available

string

None.

FinancialType

No description available

string

None.

ProjectId

No description available

integer

None.

PreQualificationDetId

No description available

integer

None.

SiteId

No description available

integer

None.

ExpenseType

No description available

string

None.

GLHead

No description available

integer

None.

Amount

No description available

decimal number

None.

OccurenceType

No description available

string

None.

RecurringMode

No description available

string

None.

FromDate

No description available

string

None.

ToDate

No description available

string

None.

Status

No description available

string

None.

ClientId

No description available

string

None.

CreatedDate

No description available

string

None.

ProjectStage

No description available

string

None.

Request Formats

application/json, text/json

Sample:
{
  "financialId": 1,
  "financialName": "sample string 2",
  "financialType": "sample string 3",
  "projectId": 4,
  "preQualificationDetId": 5,
  "siteId": 6,
  "expenseType": "sample string 7",
  "glHead": 8,
  "amount": 9.0,
  "occurenceType": "sample string 10",
  "recurringMode": "sample string 11",
  "fromDate": "sample string 12",
  "toDate": "sample string 13",
  "status": "sample string 14",
  "clientId": "sample string 15",
  "createdDate": "sample string 16",
  "projectStage": "sample string 17"
}

application/xml, text/xml

Sample:
<ProjectFinancial xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.Projects.Entities">
  <Amount>9</Amount>
  <ClientId>sample string 15</ClientId>
  <CreatedDate>sample string 16</CreatedDate>
  <ExpenseType>sample string 7</ExpenseType>
  <FinancialId>1</FinancialId>
  <FinancialName>sample string 2</FinancialName>
  <FinancialType>sample string 3</FinancialType>
  <FromDate>sample string 12</FromDate>
  <GLHead>8</GLHead>
  <OccurenceType>sample string 10</OccurenceType>
  <PreQualificationDetId>5</PreQualificationDetId>
  <ProjectId>4</ProjectId>
  <ProjectStage>sample string 17</ProjectStage>
  <RecurringMode>sample string 11</RecurringMode>
  <SiteId>6</SiteId>
  <Status>sample string 14</Status>
  <ToDate>sample string 13</ToDate>
</ProjectFinancial>

application/x-www-form-urlencoded

Sample:

Sample not available.

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.

Response Information

Resource Description

EMSResponseOfEMS.Common.TransactionResults
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

EMS.Common.TransactionResults

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "TransactionResults",
  "response": {
    "transactionResult": [
      {
        "status": "sample string 1",
        "message": "sample string 2",
        "result": "sample string 3"
      },
      {
        "status": "sample string 1",
        "message": "sample string 2",
        "result": "sample string 3"
      }
    ]
  },
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.